メインコンテンツへスキップ
GET
/
marketing
/
marketing-events
/
2026-03
/
associations
/
{externalAccountId}
/
{externalEventId}
/
lists
マーケティングイベントに関連付けられているリストを取得
curl --request GET \
  --url https://api.hubapi.com/marketing/marketing-events/2026-03/associations/{externalAccountId}/{externalEventId}/lists \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "listId": "<string>",
      "listVersion": 123,
      "name": "<string>",
      "objectTypeId": "<string>",
      "processingStatus": "<string>",
      "processingType": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdById": "<string>",
      "deletedAt": "2023-11-07T05:31:56Z",
      "filtersUpdatedAt": "2023-11-07T05:31:56Z",
      "size": 123,
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedById": "<string>"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

externalAccountId
string
必須

外部イベントアプリケーションでこのマーケティングイベントに関連付けられているaccountId。

externalEventId
string
必須

外部イベントアプリケーションのマーケティングイベントのID。

レスポンス

successful operation

results
object[]
必須
total
integer<int32>
必須
paging
object
Last modified on April 13, 2026